Last Comment Bug 708116 - Factor out video frame update logic
: Factor out video frame update logic
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: mozilla13
Assigned To: Robert O'Callahan (:roc) (email my personal email if necessary)
:
: Maire Reavy [:mreavy]
Mentors:
Depends on:
Blocks: 664918
  Show dependency treegraph
 
Reported: 2011-12-06 15:20 PST by Robert O'Callahan (:roc) (email my personal email if necessary)
Modified: 2012-02-15 09:16 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (35.93 KB, patch)
2011-12-06 15:25 PST, Robert O'Callahan (:roc) (email my personal email if necessary)
no flags Details | Diff | Splinter Review
fix v2 (35.25 KB, patch)
2012-02-13 18:33 PST, Robert O'Callahan (:roc) (email my personal email if necessary)
no flags Details | Diff | Splinter Review
fix v3 (37.33 KB, patch)
2012-02-13 18:47 PST, Robert O'Callahan (:roc) (email my personal email if necessary)
no flags Details | Diff | Splinter Review
fix v4 (38.23 KB, patch)
2012-02-14 02:36 PST, Robert O'Callahan (:roc) (email my personal email if necessary)
cajbir.bugzilla: review+
Details | Diff | Splinter Review

Description Robert O'Callahan (:roc) (email my personal email if necessary) 2011-12-06 15:20:28 PST
Currently nsMediaDecoder/nsBuiltinDecoder have logic for setting the current video frame and updating the current video frame intrinsic size, triggering reflows and invalidation.

This needs to be factored out so that it can be used when the media element doesn't have a decoder, e.g. when it's playing a MediaStream.
Comment 1 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-12-06 15:25:34 PST
Created attachment 579483 [details] [diff] [review]
fix

This introduces a new nsVideoFrameContainer object to manage the "current video frame" state of a video element.
Comment 2 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-13 18:33:12 PST
Created attachment 596894 [details] [diff] [review]
fix v2
Comment 3 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-13 18:47:09 PST
Created attachment 596895 [details] [diff] [review]
fix v3

rename to mozilla::VideoFrameContainer.
Comment 4 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-14 02:36:57 PST
Created attachment 596953 [details] [diff] [review]
fix v4

Merged in some extra changes from my media-streams branch. Basically just need to keep a pointer to the element in the class.
Comment 5 cajbir (:cajbir) 2012-02-14 12:42:19 PST
Comment on attachment 596953 [details] [diff] [review]
fix v4

License headers for new files should probably use the new boilerplate?

http://www.mozilla.org/MPL/headers/
Comment 6 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-14 21:14:50 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/681b168e9528
Comment 7 Marco Bonardo [::mak] 2012-02-15 09:16:07 PST
https://hg.mozilla.org/mozilla-central/rev/681b168e9528

Note You need to log in before you can comment on or make changes to this bug.